package cn.axzo.workflow.common.enums;

import static cn.axzo.workflow.common.constant.BpmnConstants.TEMPLATE_NOTICE_MESSAGE_ID;
import static cn.axzo.workflow.common.constant.BpmnConstants.TEMPLATE_PENDING_MESSAGE_ID;
import static cn.axzo.workflow.common.constant.BpmnConstants.TEMPLATE_SMS_MESSAGE_ID;

/**
 * 通知类型枚举
 *
 * @author wangli
 * @since 2023/11/22 11:02
 */
public enum BpmnNoticeEnum {

    notice("notice", TEMPLATE_NOTICE_MESSAGE_ID, "通知模板"),
    pending("pending", TEMPLATE_PENDING_MESSAGE_ID, "待办模板"),
    sms("sms", TEMPLATE_SMS_MESSAGE_ID, "短信模板"),
    ;
    private final String key;
    private final String configName;
    private final String desc;

    BpmnNoticeEnum(String key, String configName, String desc) {
        this.key = key;
        this.configName = configName;
        this.desc = desc;
    }

    public String getKey() {
        return key;
    }

    public String getConfigName() {
        return configName;
    }

    public String getDesc() {
        return desc;
    }
}
